# PahoMqttCpp

- The Eclipse Paho MQTT Library for C++
- Introduction
- Deprecated List
- Namespaces
- Namespace List
- mqtt
- async_client
- ptr_t
- consumer_queue_type
- message_handler
- connection_handler
- disconnected_handler
- update_connection_handler
- async_client
- async_client
- async_client
- async_client
- async_client
- ~async_client
- set_callback
- disable_callbacks
- set_connected_handler
- set_connection_lost_handler
- set_disconnected_handler
- set_message_callback
- set_update_connection_handler
- connect
- connect
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- get_pending_delivery_token
- get_pending_delivery_tokens
- get_client_id
- get_server_uri
- mqtt_version
- get_connect_options
- is_connected
- publish
- publish
- publish
- publish
- publish
- publish
- publish
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- clear_consumer
- consumer_closed
- consumer_done
- consumer_queue_size
- consume_event
- try_consume_event
- try_consume_event_for
- try_consume_event_for
- try_consume_event_until
- try_consume_event_until
- consume_message
- try_consume_message
- try_consume_message_for
- try_consume_message_for
- try_consume_message_until
- try_consume_message_until
- token
- buffer_ref
- value_type
- blob
- pointer_type
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- operator=
- operator=
- operator=
- operator=
- operator=
- operator=
- reset
- operator bool
- is_null
- empty
- data
- size
- length
- str
- to_string
- c_str
- ptr
- operator[]
- buffer_view
- value_type
- size_type
- buffer_view
- buffer_view
- data
- size
- length
- operator[]
- str
- to_string
- callback
- ptr_t
- const_ptr_t
- ~callback
- connected
- connection_lost
- message_arrived
- delivery_complete
- client
- ptr_t
- qos_collection
- update_connection_handler
- client
- client
- client
- client
- client
- ~client
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- get_client_id
- get_server_uri
- get_timeout
- get_connect_options
- get_topic
- is_connected
- set_update_connection_handler
- publish
- publish
- publish
- publish
- set_callback
- set_timeout
- set_timeout
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- consume_message
- try_consume_message
- try_consume_message_for
- try_consume_message_until
- connect_data
- connect_data
- connect_data
- connect_data
- connect_data
- operator=
- get_user_name
- get_password
- set_user_name
- set_password
- async_client
- connect_options
- ptr_t
- const_ptr_t
- connect_options
- connect_options
- connect_options
- connect_options
- operator=
- operator=
- get_keep_alive_interval
- get_connect_timeout
- get_user_name
- get_password
- get_password_str
- get_max_inflight
- get_will_topic
- get_will_message
- get_will_options
- get_ssl_options
- set_ssl
- set_ssl
- is_clean_session
- is_clean_start
- get_token
- get_servers
- get_mqtt_version
- get_automatic_reconnect
- get_min_retry_interval
- get_max_retry_interval
- set_clean_session
- set_clean_start
- set_keep_alive_interval
- set_keep_alive_interval
- set_connect_timeout
- set_connect_timeout
- set_user_name
- set_password
- set_max_inflight
- set_will
- set_will
- set_will_message
- set_will_message
- set_token
- set_servers
- set_mqtt_version
- set_automatic_reconnect
- set_automatic_reconnect
- set_automatic_reconnect
- get_properties
- get_properties
- set_properties
- set_properties
- get_http_headers
- set_http_headers
- set_http_headers
- get_http_proxy
- set_http_proxy
- get_https_proxy
- set_https_proxy
- async_client
- connect_options_builder
- self
- connect_options_builder
- connect_options_builder
- connect_options_builder
- clean_session
- keep_alive_interval
- connect_timeout
- user_name
- password
- max_inflight
- will
- will
- will
- ssl
- ssl
- token
- servers
- mqtt_version
- automatic_reconnect
- automatic_reconnect
- clean_start
- properties
- properties
- http_headers
- http_headers
- http_proxy
- https_proxy
- finalize
- connect_response
- get_server_uri
- get_mqtt_version
- is_session_present
- token
- connected_event
- cause
- connection_lost_event
- cause
- create_options
- ptr_t
- const_ptr_t
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- operator=
- operator=
- set_server_uri
- get_server_uri
- set_client_id
- get_client_id
- set_persistence
- get_persistence
- get_send_while_disconnected
- set_send_while_disconnected
- get_max_buffered_messages
- set_max_buffered_messages
- mqtt_version
- set_mqtt_version
- get_delete_oldest_messages
- set_delete_oldest_messages
- get_restore_messages
- set_restore_messages
- get_persist_qos0
- set_persist_qos0
- async_client
- create_options_builder
- create_options_builder
- self
- create_options_builder
- server_uri
- client_id
- persistence
- send_while_disconnected
- max_buffered_messages
- mqtt_version
- delete_oldest_messages
- restore_messages
- persist_qos0
- finalize
- delivery_response_options
- delivery_response_options
- delivery_response_options
- set_token
- async_client
- delivery_token
- ptr_t
- const_ptr_t
- weak_ptr_t
- delivery_token
- delivery_token
- delivery_token
- get_message
- async_client
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- operator=
- operator=
- get_timeout
- set_timeout
- set_timeout
- set_token
- get_token
- get_properties
- get_properties
- set_properties
- set_properties
- get_reason_code
- set_reason_code
- async_client
- disconnect_options_builder
- disconnect_options_builder
- self
- disconnect_options_builder
- properties
- properties
- timeout
- reason_code
- finalize
- disconnected_event
- props
- reasonCode
- event
- event_type
- event
- event
- event
- event
- event
- event
- event
- event
- event
- event
- operator=
- operator=
- operator=
- is_message
- is_connected
- is_connection_lost
- is_disconnected
- is_shutdown
- is_any_disconnect
- get_message
- get_disconnected
- get_message_if
- get_disconnected_if
- exception
- exception
- exception
- exception
- exception
- get_return_code
- get_error_str
- get_reason_code
- get_reason_code_str
- get_message
- to_string
- rc_
- reasonCode_
- msg_
- iaction_listener
- ptr_t
- const_ptr_t
- ~iaction_listener
- on_failure
- on_success
- iasync_client
- qos_collection
- ~iasync_client
- connect
- connect
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- get_pending_delivery_token
- get_pending_delivery_tokens
- get_client_id
- get_server_uri
- is_connected
- publish
- publish
- publish
- publish
- publish
- publish
- publish
- set_callback
- disable_callbacks
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- clear_consumer
- consumer_closed
- consumer_done
- consumer_queue_size
- consume_message
- try_consume_message
- consume_event
- try_consume_event
- token
- iclient_persistence
- ptr_t
- const_ptr_t
- ~iclient_persistence
- open
- close
- clear
- contains_key
- keys
- put
- get
- remove
- async_client
- mock_persistence
- message
- ptr_t
- const_ptr_t
- message
- message
- message
- message
- message
- message
- message
- message
- ~message
- operator=
- operator=
- set_topic
- get_topic_ref
- get_topic
- clear_payload
- get_payload_ref
- get_payload
- get_payload_str
- get_qos
- is_duplicate
- is_retained
- set_payload
- set_payload
- set_qos
- set_retained
- get_properties
- set_properties
- set_properties
- to_string
- async_client
- message_ptr_builder
- self
- message_ptr_builder
- topic
- payload
- payload
- qos
- retained
- properties
- properties
- finalize
- missing_response
- missing_response
- name_value_collection
- ptr_t
- const_ptr_t
- value_type
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- operator=
- operator=
- empty
- size
- clear
- insert
- c_arr
- no_persistence
- persistence_exception
- persistence_exception
- persistence_exception
- persistence_exception
- persistence_exception
- properties
- const_iterator
- operator*
- operator++
- operator++
- operator!=
- properties
- properties
- properties
- properties
- properties
- ~properties
- c_struct
- operator=
- operator=
- empty
- operator[]
- at
- size
- begin
- cbegin
- end
- cend
- add
- clear
- contains
- count
- get
- get
- get
- property
- code
- PAYLOAD_FORMAT_INDICATOR
- MESSAGE_EXPIRY_INTERVAL
- CONTENT_TYPE
- RESPONSE_TOPIC
- CORRELATION_DATA
- SUBSCRIPTION_IDENTIFIER
- SESSION_EXPIRY_INTERVAL
- ASSIGNED_CLIENT_IDENTIFIER
- SERVER_KEEP_ALIVE
- AUTHENTICATION_METHOD
- AUTHENTICATION_DATA
- REQUEST_PROBLEM_INFORMATION
- WILL_DELAY_INTERVAL
- REQUEST_RESPONSE_INFORMATION
- RESPONSE_INFORMATION
- SERVER_REFERENCE
- REASON_STRING
- RECEIVE_MAXIMUM
- TOPIC_ALIAS_MAXIMUM
- TOPIC_ALIAS
- MAXIMUM_QOS
- RETAIN_AVAILABLE
- USER_PROPERTY
- MAXIMUM_PACKET_SIZE
- WILDCARD_SUBSCRIPTION_AVAILABLE
- SUBSCRIPTION_IDENTIFIERS_AVAILABLE
- SHARED_SUBSCRIPTION_AVAILABLE
- property
- property
- property
- property
- property
- property
- property
- property
- ~property
- operator=
- operator=
- c_struct
- type
- type_name
- value_type_id
- properties
- queue_closed
- queue_closed
- response_options
- response_options
- response_options
- response_options
- response_options
- operator=
- operator=
- set_mqtt_version
- set_token
- get_properties
- set_properties
- set_properties
- get_subscribe_options
- get_subscribe_many_options
- set_subscribe_options
- set_subscribe_many_options
- set_subscribe_options
- async_client
- response_options_builder
- self
- response_options_builder
- mqtt_version
- token
- properties
- properties
- subscribe_opts
- subscribe_many_opts
- subscribe_opts
- finalize
- security_exception
- security_exception
- security_exception
- server_response
- server_response
- server_response
- server_response
- ~server_response
- get_properties
- shutdown_event
- ssl_options
- ptr_t
- const_ptr_t
- unique_ptr_t
- error_handler
- psk_handler
- ssl_options
- ssl_options
- ssl_options
- ssl_options
- ssl_options
- operator=
- operator=
- get_trust_store
- get_key_store
- get_private_key
- get_private_key_password
- get_enabled_cipher_suites
- get_enable_server_cert_auth
- set_trust_store
- set_key_store
- set_private_key
- set_private_key_password
- set_enabled_cipher_suites
- set_enable_server_cert_auth
- get_ssl_version
- set_ssl_version
- get_verify
- set_verify
- get_ca_path
- ca_path
- set_ca_path
- ca_path
- set_error_handler
- set_psk_handler
- get_alpn_protos
- set_alpn_protos
- connect_options
- ssl_options_builder
- self
- ssl_options_builder
- trust_store
- key_store
- private_key
- private_keypassword
- enabled_cipher_suites
- enable_server_cert_auth
- ssl_version
- verify
- ca_path
- error_handler
- psk_handler
- alpn_protos
- finalize
- string_collection
- collection_type
- const_iterator
- ptr_t
- const_ptr_t
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- operator=
- operator=
- begin
- end
- cbegin
- cend
- empty
- size
- push_back
- push_back
- clear
- operator[]
- c_arr
- subscribe_options
- ptr_t
- const_ptr_t
- RetainHandling
- SEND_RETAINED_ON_SUBSCRIBE
- SEND_RETAINED_ON_NEW
- DONT_SEND_RETAINED
- subscribe_options
- subscribe_options
- subscribe_options
- get_no_local
- set_no_local
- get_retain_as_published
- set_retain_as_published
- get_retain_handling
- set_retain_handling
- async_client
- response_options
- subscribe_response
- subscribe_response
- subscribe_response
- get_reason_codes
- token
- reasonCodes_
- thread_queue
- container_type
- value_type
- size_type
- thread_queue
- thread_queue
- empty
- capacity
- capacity
- size
- close
- closed
- done
- clear
- put
- try_put
- try_put_for
- try_put_until
- get
- get
- try_get
- try_get_for
- try_get_until
- timeout_error
- timeout_error
- token
- ptr_t
- const_ptr_t
- weak_ptr_t
- Type
- CONNECT
- SUBSCRIBE
- PUBLISH
- UNSUBSCRIBE
- DISCONNECT
- token
- token
- token
- token
- token
- token
- token
- ~token
- get_type
- get_action_callback
- get_client
- get_message_id
- get_topics
- get_user_context
- is_complete
- operator bool
- get_return_code
- set_action_callback
- set_user_context
- set_num_expected
- get_reason_code
- get_error_message
- wait
- try_wait
- wait_for
- wait_for
- wait_until
- get_connect_response
- get_subscribe_response
- get_unsubscribe_response
- async_client
- mock_async_client
- connect_options
- response_options
- delivery_response_options
- disconnect_options
- topic
- ptr_t
- const_ptr_t
- topic
- get_client
- get_name
- get_qos
- get_retained
- set_qos
- set_retained
- publish
- publish
- publish
- publish
- subscribe
- to_string
- topic_filter
- topic_filter
- has_wildcards
- matches
- topic_matcher
- const_iterator
- operator*
- operator->
- topic_matcher
- const_match_iterator
- operator*
- operator->
- topic_matcher
- iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- match_iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- key_type
- mapped_type
- value_type
- reference
- const_reference
- value_ptr
- mapped_ptr
- topic_matcher
- topic_matcher
- empty
- insert
- insert
- remove
- prune
- begin
- end
- end
- cbegin
- cend
- find
- find
- matches
- matches
- matches_end
- matches_cend
- has_match
- unsubscribe_response
- get_reason_codes
- token
- will_options
- ptr_t
- const_ptr_t
- unique_ptr_t
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- operator=
- operator=
- get_topic
- get_payload
- get_payload_str
- get_qos
- is_retained
- get_message
- set_topic
- set_payload
- set_payload
- set_qos
- set_retained
- get_properties
- set_properties
- set_properties
- connect_options
- async_client_ptr
- string_ref
- binary_ref
- string_view
- binary_view
- callback_ptr
- const_callback_ptr
- client_ptr
- connect_options_ptr
- persistence_type
- create_options_ptr
- delivery_token_ptr
- const_delivery_token_ptr
- bad_cast
- iaction_listener_ptr
- const_iaction_listener_ptr
- iclient_persistence_ptr
- const_iclient_persistence_ptr
- message_ptr
- const_message_ptr
- string_pair
- ssl_options_ptr
- ssl_options_unique_ptr
- string_collection_ptr
- const_string_collection_ptr
- subscribe_options_ptr
- token_ptr
- const_token_ptr
- topic_ptr
- const_topic_ptr
- byte
- string
- binary
- string_ptr
- binary_ptr
- will_options_ptr
- const_will_options_ptr
- will_options_unique_ptr
- ReasonCode
- SUCCESS
- NORMAL_DISCONNECTION
- GRANTED_QOS_0
- GRANTED_QOS_1
- GRANTED_QOS_2
- DISCONNECT_WITH_WILL_MESSAGE
- NO_MATCHING_SUBSCRIBERS
- NO_SUBSCRIPTION_FOUND
- CONTINUE_AUTHENTICATION
- RE_AUTHENTICATE
- UNSPECIFIED_ERROR
- MALFORMED_PACKET
- PROTOCOL_ERROR
- IMPLEMENTATION_SPECIFIC_ERROR
- UNSUPPORTED_PROTOCOL_VERSION
- CLIENT_IDENTIFIER_NOT_VALID
- BAD_USER_NAME_OR_PASSWORD
- NOT_AUTHORIZED
- SERVER_UNAVAILABLE
- SERVER_BUSY
- BANNED
- SERVER_SHUTTING_DOWN
- BAD_AUTHENTICATION_METHOD
- KEEP_ALIVE_TIMEOUT
- SESSION_TAKEN_OVER
- TOPIC_FILTER_INVALID
- TOPIC_NAME_INVALID
- PACKET_IDENTIFIER_IN_USE
- PACKET_IDENTIFIER_NOT_FOUND
- RECEIVE_MAXIMUM_EXCEEDED
- TOPIC_ALIAS_INVALID
- PACKET_TOO_LARGE
- MESSAGE_RATE_TOO_HIGH
- QUOTA_EXCEEDED
- ADMINISTRATIVE_ACTION
- PAYLOAD_FORMAT_INVALID
- RETAIN_NOT_SUPPORTED
- QOS_NOT_SUPPORTED
- USE_ANOTHER_SERVER
- SERVER_MOVED
- SHARED_SUBSCRIPTIONS_NOT_SUPPORTED
- CONNECTION_RATE_EXCEEDED
- MAXIMUM_CONNECT_TIME
- SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED
- WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED
- MQTTPP_V3_CODE
- VERSION_STR
- COPYRIGHT
- operator<<
- operator<<
- operator<<
- persistence_malloc
- persistence_free
- make_message
- make_message
- make_message
- make_message
- operator<<
- get
- get< uint8_t >
- get< uint16_t >
- get< int16_t >
- get< uint32_t >
- get< int32_t >
- get< string >
- get< string_pair >
- get
- get
- to_string
- operator<<
- to_seconds
- to_seconds_count
- to_milliseconds
- to_milliseconds_count
- to_bool
- to_int
- to_string
- VERSION
- NO_PERSISTENCE
- Namespace Members
- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Data Structures
- Data Structures
- mqtt
- async_client
- ptr_t
- consumer_queue_type
- message_handler
- connection_handler
- disconnected_handler
- update_connection_handler
- async_client
- async_client
- async_client
- async_client
- async_client
- ~async_client
- set_callback
- disable_callbacks
- set_connected_handler
- set_connection_lost_handler
- set_disconnected_handler
- set_message_callback
- set_update_connection_handler
- connect
- connect
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- get_pending_delivery_token
- get_pending_delivery_tokens
- get_client_id
- get_server_uri
- mqtt_version
- get_connect_options
- is_connected
- publish
- publish
- publish
- publish
- publish
- publish
- publish
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- clear_consumer
- consumer_closed
- consumer_done
- consumer_queue_size
- consume_event
- try_consume_event
- try_consume_event_for
- try_consume_event_for
- try_consume_event_until
- try_consume_event_until
- consume_message
- try_consume_message
- try_consume_message_for
- try_consume_message_for
- try_consume_message_until
- try_consume_message_until
- token
- buffer_ref
- value_type
- blob
- pointer_type
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- operator=
- operator=
- operator=
- operator=
- operator=
- operator=
- reset
- operator bool
- is_null
- empty
- data
- size
- length
- str
- to_string
- c_str
- ptr
- operator[]
- buffer_view
- value_type
- size_type
- buffer_view
- buffer_view
- data
- size
- length
- operator[]
- str
- to_string
- callback
- ptr_t
- const_ptr_t
- ~callback
- connected
- connection_lost
- message_arrived
- delivery_complete
- client
- ptr_t
- qos_collection
- update_connection_handler
- client
- client
- client
- client
- client
- ~client
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- get_client_id
- get_server_uri
- get_timeout
- get_connect_options
- get_topic
- is_connected
- set_update_connection_handler
- publish
- publish
- publish
- publish
- set_callback
- set_timeout
- set_timeout
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- consume_message
- try_consume_message
- try_consume_message_for
- try_consume_message_until
- connect_data
- connect_data
- connect_data
- connect_data
- connect_data
- operator=
- get_user_name
- get_password
- set_user_name
- set_password
- async_client
- connect_options
- ptr_t
- const_ptr_t
- connect_options
- connect_options
- connect_options
- connect_options
- operator=
- operator=
- get_keep_alive_interval
- get_connect_timeout
- get_user_name
- get_password
- get_password_str
- get_max_inflight
- get_will_topic
- get_will_message
- get_will_options
- get_ssl_options
- set_ssl
- set_ssl
- is_clean_session
- is_clean_start
- get_token
- get_servers
- get_mqtt_version
- get_automatic_reconnect
- get_min_retry_interval
- get_max_retry_interval
- set_clean_session
- set_clean_start
- set_keep_alive_interval
- set_keep_alive_interval
- set_connect_timeout
- set_connect_timeout
- set_user_name
- set_password
- set_max_inflight
- set_will
- set_will
- set_will_message
- set_will_message
- set_token
- set_servers
- set_mqtt_version
- set_automatic_reconnect
- set_automatic_reconnect
- set_automatic_reconnect
- get_properties
- get_properties
- set_properties
- set_properties
- get_http_headers
- set_http_headers
- set_http_headers
- get_http_proxy
- set_http_proxy
- get_https_proxy
- set_https_proxy
- async_client
- connect_options_builder
- self
- connect_options_builder
- connect_options_builder
- connect_options_builder
- clean_session
- keep_alive_interval
- connect_timeout
- user_name
- password
- max_inflight
- will
- will
- will
- ssl
- ssl
- token
- servers
- mqtt_version
- automatic_reconnect
- automatic_reconnect
- clean_start
- properties
- properties
- http_headers
- http_headers
- http_proxy
- https_proxy
- finalize
- connect_response
- get_server_uri
- get_mqtt_version
- is_session_present
- token
- connected_event
- cause
- connection_lost_event
- cause
- create_options
- ptr_t
- const_ptr_t
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- operator=
- operator=
- set_server_uri
- get_server_uri
- set_client_id
- get_client_id
- set_persistence
- get_persistence
- get_send_while_disconnected
- set_send_while_disconnected
- get_max_buffered_messages
- set_max_buffered_messages
- mqtt_version
- set_mqtt_version
- get_delete_oldest_messages
- set_delete_oldest_messages
- get_restore_messages
- set_restore_messages
- get_persist_qos0
- set_persist_qos0
- async_client
- create_options_builder
- create_options_builder
- self
- create_options_builder
- server_uri
- client_id
- persistence
- send_while_disconnected
- max_buffered_messages
- mqtt_version
- delete_oldest_messages
- restore_messages
- persist_qos0
- finalize
- delivery_response_options
- delivery_response_options
- delivery_response_options
- set_token
- async_client
- delivery_token
- ptr_t
- const_ptr_t
- weak_ptr_t
- delivery_token
- delivery_token
- delivery_token
- get_message
- async_client
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- operator=
- operator=
- get_timeout
- set_timeout
- set_timeout
- set_token
- get_token
- get_properties
- get_properties
- set_properties
- set_properties
- get_reason_code
- set_reason_code
- async_client
- disconnect_options_builder
- disconnect_options_builder
- self
- disconnect_options_builder
- properties
- properties
- timeout
- reason_code
- finalize
- disconnected_event
- props
- reasonCode
- event
- event_type
- event
- event
- event
- event
- event
- event
- event
- event
- event
- event
- operator=
- operator=
- operator=
- is_message
- is_connected
- is_connection_lost
- is_disconnected
- is_shutdown
- is_any_disconnect
- get_message
- get_disconnected
- get_message_if
- get_disconnected_if
- exception
- exception
- exception
- exception
- exception
- get_return_code
- get_error_str
- get_reason_code
- get_reason_code_str
- get_message
- to_string
- rc_
- reasonCode_
- msg_
- iaction_listener
- ptr_t
- const_ptr_t
- ~iaction_listener
- on_failure
- on_success
- iasync_client
- qos_collection
- ~iasync_client
- connect
- connect
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- get_pending_delivery_token
- get_pending_delivery_tokens
- get_client_id
- get_server_uri
- is_connected
- publish
- publish
- publish
- publish
- publish
- publish
- publish
- set_callback
- disable_callbacks
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- clear_consumer
- consumer_closed
- consumer_done
- consumer_queue_size
- consume_message
- try_consume_message
- consume_event
- try_consume_event
- token
- iclient_persistence
- ptr_t
- const_ptr_t
- ~iclient_persistence
- open
- close
- clear
- contains_key
- keys
- put
- get
- remove
- async_client
- mock_persistence
- message
- ptr_t
- const_ptr_t
- message
- message
- message
- message
- message
- message
- message
- message
- ~message
- operator=
- operator=
- set_topic
- get_topic_ref
- get_topic
- clear_payload
- get_payload_ref
- get_payload
- get_payload_str
- get_qos
- is_duplicate
- is_retained
- set_payload
- set_payload
- set_qos
- set_retained
- get_properties
- set_properties
- set_properties
- to_string
- async_client
- message_ptr_builder
- self
- message_ptr_builder
- topic
- payload
- payload
- qos
- retained
- properties
- properties
- finalize
- missing_response
- missing_response
- name_value_collection
- ptr_t
- const_ptr_t
- value_type
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- operator=
- operator=
- empty
- size
- clear
- insert
- c_arr
- no_persistence
- persistence_exception
- persistence_exception
- persistence_exception
- persistence_exception
- persistence_exception
- properties
- const_iterator
- operator*
- operator++
- operator++
- operator!=
- properties
- properties
- properties
- properties
- properties
- ~properties
- c_struct
- operator=
- operator=
- empty
- operator[]
- at
- size
- begin
- cbegin
- end
- cend
- add
- clear
- contains
- count
- get
- get
- get
- property
- code
- PAYLOAD_FORMAT_INDICATOR
- MESSAGE_EXPIRY_INTERVAL
- CONTENT_TYPE
- RESPONSE_TOPIC
- CORRELATION_DATA
- SUBSCRIPTION_IDENTIFIER
- SESSION_EXPIRY_INTERVAL
- ASSIGNED_CLIENT_IDENTIFIER
- SERVER_KEEP_ALIVE
- AUTHENTICATION_METHOD
- AUTHENTICATION_DATA
- REQUEST_PROBLEM_INFORMATION
- WILL_DELAY_INTERVAL
- REQUEST_RESPONSE_INFORMATION
- RESPONSE_INFORMATION
- SERVER_REFERENCE
- REASON_STRING
- RECEIVE_MAXIMUM
- TOPIC_ALIAS_MAXIMUM
- TOPIC_ALIAS
- MAXIMUM_QOS
- RETAIN_AVAILABLE
- USER_PROPERTY
- MAXIMUM_PACKET_SIZE
- WILDCARD_SUBSCRIPTION_AVAILABLE
- SUBSCRIPTION_IDENTIFIERS_AVAILABLE
- SHARED_SUBSCRIPTION_AVAILABLE
- property
- property
- property
- property
- property
- property
- property
- property
- ~property
- operator=
- operator=
- c_struct
- type
- type_name
- value_type_id
- properties
- queue_closed
- queue_closed
- response_options
- response_options
- response_options
- response_options
- response_options
- operator=
- operator=
- set_mqtt_version
- set_token
- get_properties
- set_properties
- set_properties
- get_subscribe_options
- get_subscribe_many_options
- set_subscribe_options
- set_subscribe_many_options
- set_subscribe_options
- async_client
- response_options_builder
- self
- response_options_builder
- mqtt_version
- token
- properties
- properties
- subscribe_opts
- subscribe_many_opts
- subscribe_opts
- finalize
- security_exception
- security_exception
- security_exception
- server_response
- server_response
- server_response
- server_response
- ~server_response
- get_properties
- shutdown_event
- ssl_options
- ptr_t
- const_ptr_t
- unique_ptr_t
- error_handler
- psk_handler
- ssl_options
- ssl_options
- ssl_options
- ssl_options
- ssl_options
- operator=
- operator=
- get_trust_store
- get_key_store
- get_private_key
- get_private_key_password
- get_enabled_cipher_suites
- get_enable_server_cert_auth
- set_trust_store
- set_key_store
- set_private_key
- set_private_key_password
- set_enabled_cipher_suites
- set_enable_server_cert_auth
- get_ssl_version
- set_ssl_version
- get_verify
- set_verify
- get_ca_path
- ca_path
- set_ca_path
- ca_path
- set_error_handler
- set_psk_handler
- get_alpn_protos
- set_alpn_protos
- connect_options
- ssl_options_builder
- self
- ssl_options_builder
- trust_store
- key_store
- private_key
- private_keypassword
- enabled_cipher_suites
- enable_server_cert_auth
- ssl_version
- verify
- ca_path
- error_handler
- psk_handler
- alpn_protos
- finalize
- string_collection
- collection_type
- const_iterator
- ptr_t
- const_ptr_t
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- operator=
- operator=
- begin
- end
- cbegin
- cend
- empty
- size
- push_back
- push_back
- clear
- operator[]
- c_arr
- subscribe_options
- ptr_t
- const_ptr_t
- RetainHandling
- SEND_RETAINED_ON_SUBSCRIBE
- SEND_RETAINED_ON_NEW
- DONT_SEND_RETAINED
- subscribe_options
- subscribe_options
- subscribe_options
- get_no_local
- set_no_local
- get_retain_as_published
- set_retain_as_published
- get_retain_handling
- set_retain_handling
- async_client
- response_options
- subscribe_response
- subscribe_response
- subscribe_response
- get_reason_codes
- token
- reasonCodes_
- thread_queue
- container_type
- value_type
- size_type
- thread_queue
- thread_queue
- empty
- capacity
- capacity
- size
- close
- closed
- done
- clear
- put
- try_put
- try_put_for
- try_put_until
- get
- get
- try_get
- try_get_for
- try_get_until
- timeout_error
- timeout_error
- token
- ptr_t
- const_ptr_t
- weak_ptr_t
- Type
- CONNECT
- SUBSCRIBE
- PUBLISH
- UNSUBSCRIBE
- DISCONNECT
- token
- token
- token
- token
- token
- token
- token
- ~token
- get_type
- get_action_callback
- get_client
- get_message_id
- get_topics
- get_user_context
- is_complete
- operator bool
- get_return_code
- set_action_callback
- set_user_context
- set_num_expected
- get_reason_code
- get_error_message
- wait
- try_wait
- wait_for
- wait_for
- wait_until
- get_connect_response
- get_subscribe_response
- get_unsubscribe_response
- async_client
- mock_async_client
- connect_options
- response_options
- delivery_response_options
- disconnect_options
- topic
- ptr_t
- const_ptr_t
- topic
- get_client
- get_name
- get_qos
- get_retained
- set_qos
- set_retained
- publish
- publish
- publish
- publish
- subscribe
- to_string
- topic_filter
- topic_filter
- has_wildcards
- matches
- topic_matcher
- const_iterator
- operator*
- operator->
- topic_matcher
- const_match_iterator
- operator*
- operator->
- topic_matcher
- iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- match_iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- key_type
- mapped_type
- value_type
- reference
- const_reference
- value_ptr
- mapped_ptr
- topic_matcher
- topic_matcher
- empty
- insert
- insert
- remove
- prune
- begin
- end
- end
- cbegin
- cend
- find
- find
- matches
- matches
- matches_end
- matches_cend
- has_match
- unsubscribe_response
- get_reason_codes
- token
- will_options
- ptr_t
- const_ptr_t
- unique_ptr_t
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- operator=
- operator=
- get_topic
- get_payload
- get_payload_str
- get_qos
- is_retained
- get_message
- set_topic
- set_payload
- set_payload
- set_qos
- set_retained
- get_properties
- set_properties
- set_properties
- connect_options
- Data Structure Index
- Class Hierarchy
- mqtt::buffer_ref< T >
- mqtt::buffer_ref< char >
- mqtt::buffer_view< T >
- mqtt::callback
- mqtt::client
- mqtt::connect_data
- mqtt::connect_options
- mqtt::connect_options_builder
- mqtt::connected_event
- mqtt::connection_lost_event
- mqtt::properties::const_iterator
- mqtt::create_options
- mqtt::create_options_builder
- mqtt::delivery_response_options
- mqtt::disconnect_options
- mqtt::disconnect_options_builder
- mqtt::disconnected_event
- mqtt::event
- mqtt::iaction_listener
- mqtt::iasync_client
- mqtt::async_client
- mqtt::iclient_persistence
- mqtt::topic_matcher< T >::iterator
- mqtt::topic_matcher< T >::const_iterator
- mqtt::topic_matcher< T >::match_iterator
- mqtt::topic_matcher< T >::const_match_iterator
- mqtt::message
- mqtt::message_ptr_builder
- mqtt::name_value_collection
- mqtt::no_persistence
- mqtt::properties
- mqtt::property
- mqtt::response_options
- mqtt::response_options_builder
- std::runtime_error
- mqtt::exception
- mqtt::missing_response
- mqtt::persistence_exception
- mqtt::security_exception
- mqtt::timeout_error
- mqtt::queue_closed
- mqtt::server_response
- mqtt::connect_response
- mqtt::subscribe_response
- mqtt::unsubscribe_response
- mqtt::shutdown_event
- mqtt::ssl_options
- mqtt::ssl_options_builder
- mqtt::string_collection
- mqtt::subscribe_options
- mqtt::thread_queue< T, Container >
- mqtt::token
- mqtt::delivery_token
- mqtt::topic
- mqtt::topic_filter
- mqtt::topic_matcher< T >
- mqtt::will_options
- Data Fields
- All
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~
- Functions
- a
- b
- c
- d
- e
- f
- g
- h
- i
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- ~
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Symbols
- Files
- File List
- async_client.h
- mqtt::async_client
- ptr_t
- consumer_queue_type
- message_handler
- connection_handler
- disconnected_handler
- update_connection_handler
- async_client
- async_client
- async_client
- async_client
- async_client
- ~async_client
- set_callback
- disable_callbacks
- set_connected_handler
- set_connection_lost_handler
- set_disconnected_handler
- set_message_callback
- set_update_connection_handler
- connect
- connect
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- get_pending_delivery_token
- get_pending_delivery_tokens
- get_client_id
- get_server_uri
- mqtt_version
- get_connect_options
- is_connected
- publish
- publish
- publish
- publish
- publish
- publish
- publish
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- clear_consumer
- consumer_closed
- consumer_done
- consumer_queue_size
- consume_event
- try_consume_event
- try_consume_event_for
- try_consume_event_for
- try_consume_event_until
- try_consume_event_until
- consume_message
- try_consume_message
- try_consume_message_for
- try_consume_message_for
- try_consume_message_until
- try_consume_message_until
- token
- async_client_ptr
- VERSION_STR
- COPYRIGHT
- VERSION
- buffer_ref.h
- mqtt::buffer_ref< T >
- value_type
- blob
- pointer_type
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- buffer_ref
- operator=
- operator=
- operator=
- operator=
- operator=
- operator=
- reset
- operator bool
- is_null
- empty
- data
- size
- length
- str
- to_string
- c_str
- ptr
- operator[]
- string_ref
- binary_ref
- operator<<
- buffer_view.h
- mqtt::buffer_view< T >
- value_type
- size_type
- buffer_view
- buffer_view
- data
- size
- length
- operator[]
- str
- to_string
- string_view
- binary_view
- operator<<
- callback.h
- mqtt::callback
- ptr_t
- const_ptr_t
- ~callback
- connected
- connection_lost
- message_arrived
- delivery_complete
- callback_ptr
- const_callback_ptr
- client.h
- mqtt::client
- ptr_t
- qos_collection
- update_connection_handler
- client
- client
- client
- client
- client
- ~client
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- get_client_id
- get_server_uri
- get_timeout
- get_connect_options
- get_topic
- is_connected
- set_update_connection_handler
- publish
- publish
- publish
- publish
- set_callback
- set_timeout
- set_timeout
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- consume_message
- try_consume_message
- try_consume_message_for
- try_consume_message_until
- client_ptr
- connect_options.h
- mqtt::connect_options
- ptr_t
- const_ptr_t
- connect_options
- connect_options
- connect_options
- connect_options
- operator=
- operator=
- get_keep_alive_interval
- get_connect_timeout
- get_user_name
- get_password
- get_password_str
- get_max_inflight
- get_will_topic
- get_will_message
- get_will_options
- get_ssl_options
- set_ssl
- set_ssl
- is_clean_session
- is_clean_start
- get_token
- get_servers
- get_mqtt_version
- get_automatic_reconnect
- get_min_retry_interval
- get_max_retry_interval
- set_clean_session
- set_clean_start
- set_keep_alive_interval
- set_keep_alive_interval
- set_connect_timeout
- set_connect_timeout
- set_user_name
- set_password
- set_max_inflight
- set_will
- set_will
- set_will_message
- set_will_message
- set_token
- set_servers
- set_mqtt_version
- set_automatic_reconnect
- set_automatic_reconnect
- set_automatic_reconnect
- get_properties
- get_properties
- set_properties
- set_properties
- get_http_headers
- set_http_headers
- set_http_headers
- get_http_proxy
- set_http_proxy
- get_https_proxy
- set_https_proxy
- async_client
- mqtt::connect_data
- connect_data
- connect_data
- connect_data
- connect_data
- operator=
- get_user_name
- get_password
- set_user_name
- set_password
- async_client
- mqtt::connect_options_builder
- self
- connect_options_builder
- connect_options_builder
- connect_options_builder
- clean_session
- keep_alive_interval
- connect_timeout
- user_name
- password
- max_inflight
- will
- will
- will
- ssl
- ssl
- token
- servers
- mqtt_version
- automatic_reconnect
- automatic_reconnect
- clean_start
- properties
- properties
- http_headers
- http_headers
- http_proxy
- https_proxy
- finalize
- connect_options_ptr
- create_options.h
- mqtt::no_persistence
- mqtt::create_options
- ptr_t
- const_ptr_t
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- create_options
- operator=
- operator=
- set_server_uri
- get_server_uri
- set_client_id
- get_client_id
- set_persistence
- get_persistence
- get_send_while_disconnected
- set_send_while_disconnected
- get_max_buffered_messages
- set_max_buffered_messages
- mqtt_version
- set_mqtt_version
- get_delete_oldest_messages
- set_delete_oldest_messages
- get_restore_messages
- set_restore_messages
- get_persist_qos0
- set_persist_qos0
- async_client
- create_options_builder
- mqtt::create_options_builder
- self
- create_options_builder
- server_uri
- client_id
- persistence
- send_while_disconnected
- max_buffered_messages
- mqtt_version
- delete_oldest_messages
- restore_messages
- persist_qos0
- finalize
- persistence_type
- create_options_ptr
- NO_PERSISTENCE
- delivery_token.h
- mqtt::delivery_token
- ptr_t
- const_ptr_t
- weak_ptr_t
- delivery_token
- delivery_token
- delivery_token
- get_message
- async_client
- delivery_token_ptr
- const_delivery_token_ptr
- disconnect_options.h
- mqtt::disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- disconnect_options
- operator=
- operator=
- get_timeout
- set_timeout
- set_timeout
- set_token
- get_token
- get_properties
- get_properties
- set_properties
- set_properties
- get_reason_code
- set_reason_code
- async_client
- disconnect_options_builder
- mqtt::disconnect_options_builder
- self
- disconnect_options_builder
- properties
- properties
- timeout
- reason_code
- finalize
- event.h
- mqtt::connected_event
- cause
- mqtt::connection_lost_event
- cause
- mqtt::disconnected_event
- props
- reasonCode
- mqtt::shutdown_event
- mqtt::event
- event_type
- event
- event
- event
- event
- event
- event
- event
- event
- event
- event
- operator=
- operator=
- operator=
- is_message
- is_connected
- is_connection_lost
- is_disconnected
- is_shutdown
- is_any_disconnect
- get_message
- get_disconnected
- get_message_if
- get_disconnected_if
- exception.h
- mqtt::exception
- exception
- exception
- exception
- exception
- get_return_code
- get_error_str
- get_reason_code
- get_reason_code_str
- get_message
- to_string
- rc_
- reasonCode_
- msg_
- mqtt::missing_response
- missing_response
- mqtt::timeout_error
- timeout_error
- mqtt::persistence_exception
- persistence_exception
- persistence_exception
- persistence_exception
- persistence_exception
- mqtt::security_exception
- security_exception
- security_exception
- bad_cast
- operator<<
- export.h
- PAHO_MQTTPP_EXPORT
- iaction_listener.h
- mqtt::iaction_listener
- ptr_t
- const_ptr_t
- ~iaction_listener
- on_failure
- on_success
- iaction_listener_ptr
- const_iaction_listener_ptr
- iasync_client.h
- mqtt::iasync_client
- qos_collection
- ~iasync_client
- connect
- connect
- connect
- connect
- reconnect
- disconnect
- disconnect
- disconnect
- disconnect
- disconnect
- get_pending_delivery_token
- get_pending_delivery_tokens
- get_client_id
- get_server_uri
- is_connected
- publish
- publish
- publish
- publish
- publish
- publish
- publish
- set_callback
- disable_callbacks
- subscribe
- subscribe
- subscribe
- subscribe
- unsubscribe
- unsubscribe
- unsubscribe
- unsubscribe
- start_consuming
- stop_consuming
- clear_consumer
- consumer_closed
- consumer_done
- consumer_queue_size
- consume_message
- try_consume_message
- consume_event
- try_consume_event
- token
- iclient_persistence.h
- mqtt::iclient_persistence
- ptr_t
- const_ptr_t
- ~iclient_persistence
- open
- close
- clear
- contains_key
- keys
- put
- get
- remove
- async_client
- mock_persistence
- iclient_persistence_ptr
- const_iclient_persistence_ptr
- persistence_malloc
- persistence_free
- message.h
- mqtt::message
- ptr_t
- const_ptr_t
- message
- message
- message
- message
- message
- message
- message
- message
- ~message
- operator=
- operator=
- set_topic
- get_topic_ref
- get_topic
- clear_payload
- get_payload_ref
- get_payload
- get_payload_str
- get_qos
- is_duplicate
- is_retained
- set_payload
- set_payload
- set_qos
- set_retained
- get_properties
- set_properties
- set_properties
- to_string
- async_client
- mqtt::message_ptr_builder
- self
- message_ptr_builder
- topic
- payload
- payload
- qos
- retained
- properties
- properties
- finalize
- message_ptr
- const_message_ptr
- make_message
- make_message
- make_message
- make_message
- platform.h
- properties.h
- mqtt::property
- code
- PAYLOAD_FORMAT_INDICATOR
- MESSAGE_EXPIRY_INTERVAL
- CONTENT_TYPE
- RESPONSE_TOPIC
- CORRELATION_DATA
- SUBSCRIPTION_IDENTIFIER
- SESSION_EXPIRY_INTERVAL
- ASSIGNED_CLIENT_IDENTIFIER
- SERVER_KEEP_ALIVE
- AUTHENTICATION_METHOD
- AUTHENTICATION_DATA
- REQUEST_PROBLEM_INFORMATION
- WILL_DELAY_INTERVAL
- REQUEST_RESPONSE_INFORMATION
- RESPONSE_INFORMATION
- SERVER_REFERENCE
- REASON_STRING
- RECEIVE_MAXIMUM
- TOPIC_ALIAS_MAXIMUM
- TOPIC_ALIAS
- MAXIMUM_QOS
- RETAIN_AVAILABLE
- USER_PROPERTY
- MAXIMUM_PACKET_SIZE
- WILDCARD_SUBSCRIPTION_AVAILABLE
- SUBSCRIPTION_IDENTIFIERS_AVAILABLE
- SHARED_SUBSCRIPTION_AVAILABLE
- property
- property
- property
- property
- property
- property
- property
- property
- ~property
- operator=
- operator=
- c_struct
- type
- type_name
- value_type_id
- properties
- mqtt::properties
- const_iterator
- operator*
- operator++
- operator++
- operator!=
- properties
- properties
- properties
- properties
- properties
- ~properties
- c_struct
- operator=
- operator=
- empty
- operator[]
- at
- size
- begin
- cbegin
- end
- cend
- add
- clear
- contains
- count
- get
- get
- get
- mqtt::properties::const_iterator
- operator*
- operator++
- operator++
- operator!=
- string_pair
- operator<<
- get
- get< uint8_t >
- get< uint16_t >
- get< int16_t >
- get< uint32_t >
- get< int32_t >
- get< string >
- get< string_pair >
- get
- get
- reason_code.h
- ReasonCode
- SUCCESS
- NORMAL_DISCONNECTION
- GRANTED_QOS_0
- GRANTED_QOS_1
- GRANTED_QOS_2
- DISCONNECT_WITH_WILL_MESSAGE
- NO_MATCHING_SUBSCRIBERS
- NO_SUBSCRIPTION_FOUND
- CONTINUE_AUTHENTICATION
- RE_AUTHENTICATE
- UNSPECIFIED_ERROR
- MALFORMED_PACKET
- PROTOCOL_ERROR
- IMPLEMENTATION_SPECIFIC_ERROR
- UNSUPPORTED_PROTOCOL_VERSION
- CLIENT_IDENTIFIER_NOT_VALID
- BAD_USER_NAME_OR_PASSWORD
- NOT_AUTHORIZED
- SERVER_UNAVAILABLE
- SERVER_BUSY
- BANNED
- SERVER_SHUTTING_DOWN
- BAD_AUTHENTICATION_METHOD
- KEEP_ALIVE_TIMEOUT
- SESSION_TAKEN_OVER
- TOPIC_FILTER_INVALID
- TOPIC_NAME_INVALID
- PACKET_IDENTIFIER_IN_USE
- PACKET_IDENTIFIER_NOT_FOUND
- RECEIVE_MAXIMUM_EXCEEDED
- TOPIC_ALIAS_INVALID
- PACKET_TOO_LARGE
- MESSAGE_RATE_TOO_HIGH
- QUOTA_EXCEEDED
- ADMINISTRATIVE_ACTION
- PAYLOAD_FORMAT_INVALID
- RETAIN_NOT_SUPPORTED
- QOS_NOT_SUPPORTED
- USE_ANOTHER_SERVER
- SERVER_MOVED
- SHARED_SUBSCRIPTIONS_NOT_SUPPORTED
- CONNECTION_RATE_EXCEEDED
- MAXIMUM_CONNECT_TIME
- SUBSCRIPTION_IDENTIFIERS_NOT_SUPPORTED
- WILDCARD_SUBSCRIPTIONS_NOT_SUPPORTED
- MQTTPP_V3_CODE
- to_string
- operator<<
- response_options.h
- mqtt::response_options
- response_options
- response_options
- response_options
- response_options
- operator=
- operator=
- set_mqtt_version
- set_token
- get_properties
- set_properties
- set_properties
- get_subscribe_options
- get_subscribe_many_options
- set_subscribe_options
- set_subscribe_many_options
- set_subscribe_options
- async_client
- mqtt::response_options_builder
- self
- response_options_builder
- mqtt_version
- token
- properties
- properties
- subscribe_opts
- subscribe_many_opts
- subscribe_opts
- finalize
- mqtt::delivery_response_options
- delivery_response_options
- delivery_response_options
- set_token
- async_client
- server_response.h
- mqtt::server_response
- server_response
- server_response
- server_response
- ~server_response
- get_properties
- mqtt::connect_response
- get_server_uri
- get_mqtt_version
- is_session_present
- token
- mqtt::subscribe_response
- subscribe_response
- subscribe_response
- get_reason_codes
- token
- reasonCodes_
- mqtt::unsubscribe_response
- get_reason_codes
- token
- ssl_options.h
- mqtt::ssl_options
- ptr_t
- const_ptr_t
- unique_ptr_t
- error_handler
- psk_handler
- ssl_options
- ssl_options
- ssl_options
- ssl_options
- ssl_options
- operator=
- operator=
- get_trust_store
- get_key_store
- get_private_key
- get_private_key_password
- get_enabled_cipher_suites
- get_enable_server_cert_auth
- set_trust_store
- set_key_store
- set_private_key
- set_private_key_password
- set_enabled_cipher_suites
- set_enable_server_cert_auth
- get_ssl_version
- set_ssl_version
- get_verify
- set_verify
- get_ca_path
- ca_path
- set_ca_path
- ca_path
- set_error_handler
- set_psk_handler
- get_alpn_protos
- set_alpn_protos
- connect_options
- mqtt::ssl_options_builder
- self
- ssl_options_builder
- trust_store
- key_store
- private_key
- private_keypassword
- enabled_cipher_suites
- enable_server_cert_auth
- ssl_version
- verify
- ca_path
- error_handler
- psk_handler
- alpn_protos
- finalize
- ssl_options_ptr
- ssl_options_unique_ptr
- string_collection.h
- mqtt::string_collection
- collection_type
- const_iterator
- ptr_t
- const_ptr_t
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- string_collection
- operator=
- operator=
- begin
- end
- cbegin
- cend
- empty
- size
- push_back
- push_back
- clear
- operator[]
- c_arr
- mqtt::name_value_collection
- ptr_t
- const_ptr_t
- value_type
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- name_value_collection
- operator=
- operator=
- empty
- size
- clear
- insert
- c_arr
- string_collection_ptr
- const_string_collection_ptr
- subscribe_options.h
- mqtt::subscribe_options
- ptr_t
- const_ptr_t
- RetainHandling
- SEND_RETAINED_ON_SUBSCRIBE
- SEND_RETAINED_ON_NEW
- DONT_SEND_RETAINED
- subscribe_options
- subscribe_options
- subscribe_options
- get_no_local
- set_no_local
- get_retain_as_published
- set_retain_as_published
- get_retain_handling
- set_retain_handling
- async_client
- response_options
- subscribe_options_ptr
- thread_queue.h
- mqtt::queue_closed
- queue_closed
- mqtt::thread_queue< T, Container >
- container_type
- value_type
- size_type
- thread_queue
- thread_queue
- empty
- capacity
- capacity
- size
- close
- closed
- done
- clear
- put
- try_put
- try_put_for
- try_put_until
- get
- get
- try_get
- try_get_for
- try_get_until
- token.h
- mqtt::token
- ptr_t
- const_ptr_t
- weak_ptr_t
- Type
- CONNECT
- SUBSCRIBE
- PUBLISH
- UNSUBSCRIBE
- DISCONNECT
- token
- token
- token
- token
- token
- token
- token
- ~token
- get_type
- get_action_callback
- get_client
- get_message_id
- get_topics
- get_user_context
- is_complete
- operator bool
- get_return_code
- set_action_callback
- set_user_context
- set_num_expected
- get_reason_code
- get_error_message
- wait
- try_wait
- wait_for
- wait_for
- wait_until
- get_connect_response
- get_subscribe_response
- get_unsubscribe_response
- async_client
- mock_async_client
- connect_options
- response_options
- delivery_response_options
- disconnect_options
- token_ptr
- const_token_ptr
- topic.h
- mqtt::topic
- ptr_t
- const_ptr_t
- topic
- get_client
- get_name
- get_qos
- get_retained
- set_qos
- set_retained
- publish
- publish
- publish
- publish
- subscribe
- to_string
- mqtt::topic_filter
- topic_filter
- has_wildcards
- matches
- topic_ptr
- const_topic_ptr
- topic_matcher.h
- mqtt::topic_matcher< T >
- const_iterator
- operator*
- operator->
- topic_matcher
- const_match_iterator
- operator*
- operator->
- topic_matcher
- iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- match_iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- key_type
- mapped_type
- value_type
- reference
- const_reference
- value_ptr
- mapped_ptr
- topic_matcher
- topic_matcher
- empty
- insert
- insert
- remove
- prune
- begin
- end
- end
- cbegin
- cend
- find
- find
- matches
- matches
- matches_end
- matches_cend
- has_match
- mqtt::topic_matcher< T >::iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- mqtt::topic_matcher< T >::const_iterator
- operator*
- operator->
- topic_matcher
- mqtt::topic_matcher< T >::match_iterator
- operator*
- operator*
- operator->
- operator->
- operator++
- operator++
- operator!=
- topic_matcher
- mqtt::topic_matcher< T >::const_match_iterator
- operator*
- operator->
- topic_matcher
- types.h
- byte
- string
- binary
- string_ptr
- binary_ptr
- to_seconds
- to_seconds_count
- to_milliseconds
- to_milliseconds_count
- to_bool
- to_int
- to_string
- will_options.h
- mqtt::will_options
- ptr_t
- const_ptr_t
- unique_ptr_t
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- will_options
- operator=
- operator=
- get_topic
- get_payload
- get_payload_str
- get_qos
- is_retained
- get_message
- set_topic
- set_payload
- set_payload
- set_qos
- set_retained
- get_properties
- set_properties
- set_properties
- connect_options
- will_options_ptr
- const_will_options_ptr
- will_options_unique_ptr
- Globals
- All
- Macros